{
  myConfig = {
    nixos = {
      username = "kenji";
      hostname = "hakase";
      timezone = "America/Chicago";
      shell = "fish"; # FIXME: unassigned variable
    };
    git = {
      username = "kenji";
      email = "kenji@hakase";
      defaultBranch = "master";
    };
    ssh = {
      # FIXME: anonymize
      extraConfig = ''
        Host macair
          User biscuit
          HostName 192.168.68.81

        Host gitea.sakamoto.dev
          User kenji
          ProxyCommand cloudflared access ssh --hostname %h
          HostName gitea.sakamoto.dev
      '';
    };
    terminal = {
      default = "ghostty";
      aliases = {
        update = "sudo nixos-rebuild switch --flake ~/.config/nixos/#hakase";
      };
    };
    hyprland = {
      monitors = ["HDMI-A-1, 1920x1080@120, auto, 1"];
      # wallpaper = "nixos_rainbow.png";
      wallpaper = "ai_pixel_purple.jpg"; # FIXME: redundant
    };
    firefox = {
      bookmarks = [
        {
          name = "Home Manager";
          url = "https://mynixos.com/home-manager/options/programs";
        }
        {
          name = "YouTube";
          url = "https://youtube.com";
        }
        {
          name = "Nur";
          url = "https://nur.nix-community.org/repos";
        }
      ];
      newtabpage = [
        {
          title = "Dashboard";
          url = "https://dash.sakamoto.dev";
        }
      ];
    };
  };
}
